Bug 37082

Summary: [Qt] [Symbian] Build fix for Dumprendertree if Qt printing is not supported
Product: WebKit Reporter: Laszlo Gombos <laszlo.gombos>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: CLOSED FIXED    
Severity: Normal CC: commit-queue, hausmann
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: S60 Hardware   
OS: S60 3rd edition   
Bug Depends on:    
Bug Blocks: 35784    
Attachments:
Description Flags
proposed patch none

Description Laszlo Gombos 2010-04-05 05:38:57 PDT
Dumprendertree at the moment assumes printing (QPrinter) suppport; Symbian port if Qt does not (yet) support printing, this breaks the build for Symbian.
Comment 1 Laszlo Gombos 2010-04-05 05:43:26 PDT
Created attachment 52528 [details]
proposed patch
Comment 2 WebKit Commit Bot 2010-04-06 00:09:09 PDT
Comment on attachment 52528 [details]
proposed patch

Clearing flags on attachment: 52528

Committed r57131: <http://trac.webkit.org/changeset/57131>
Comment 3 WebKit Commit Bot 2010-04-06 00:09:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Simon Hausmann 2010-04-07 00:42:17 PDT
Revision r57131 cherry-picked into qtwebkit-2.0 with commit 695b3ef72e72b538612d1dd1dd9e437076028d9f